debian 10.3+.deb 0.96 : SegFault systematic

*** Please report new bugs here! ***

Moderator: Dreamer

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Wed Apr 22, 2020 6:42 am

:bugfixed: fixed in the last XnViewMP-0961-linux-x64.deb... Thanks :bugfixed: :bugfixed: :bugfixed: :D

User avatar
xnview
Author of XnView
Posts: 33336
Joined: Mon Oct 13, 2003 7:31 am
Location: France
Contact:

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by xnview » Wed Apr 22, 2020 10:20 am

CloDeClo wrote:
Wed Apr 22, 2020 6:42 am
:bugfixed: fixed in the last XnViewMP-0961-linux-x64.deb... Thanks :bugfixed: :bugfixed: :bugfixed: :D
??? i have not fixed it
Pierre.

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Thu Apr 23, 2020 5:08 pm

????
I had version 0.96 (with libqgtk3.so removed). I upgraded with XnViewMP-0961-linux-x64.deb and launched XnView on a photo album : impeccable !.
I haven't looked any further ...
If the problem should not be resolved, what explanation can be found ?

Verification: libqgtk3.so has re-appeared. XnViewMP-0961 works fine without its removal !
First, back to a clean DFL10.3 system: Debian-Facile-10.3-amd64 live
GDebi of version 0.961: "Segmentation fault" error still here !
Then a look at the last changes made in my system (based on emmabuntus-de3-amd64-10.3-1.01.iso) : some packages have been upgraded.
I have made the same for those present in DFL10.3 live :

Code: Select all

libgnutls30 (version 3.6.7-4+deb10u2) sera mis à niveau vers la version 3.6.7-4+deb10u3
openssl (version 1.1.1d-0+deb10u2) sera mis à niveau vers la version 1.1.1d-0+deb10u3
gir1.2-javascriptcoregtk-4.0 (version 2.26.4-1~deb10u2) sera mis à niveau vers la version 2.26.4-1~deb10u3
gir1.2-webkit2-4.0 (version 2.26.4-1~deb10u2) sera mis à niveau vers la version 2.26.4-1~deb10u3
libjavascriptcoregtk-4.0-18 (version 2.26.4-1~deb10u2) sera mis à niveau vers la version 2.26.4-1~deb10u3
libwebkit2gtk-4.0-37 (version 2.26.4-1~deb10u2) sera mis à niveau vers la version 2.26.4-1~deb10u3
libssl1.1 (version 1.1.1d-0+deb10u2) sera mis à niveau vers la version 1.1.1d-0+deb10u3
In vain ! "Segmentation fault" error has stayed.

There is just one doubt left : I upgraded my kernel (from 4.19.0-8 buster to 5.4.0-0.bpo.4 buster-backports) the same day of my successfull test on deleting libqgtk3.so...
Did I re-start my PC before testing the deletion ? Which kernel was really in use ? I can't say !
Could it be a clue ?

A last try, a new idea while posting :
total removal of xnview (Synaptic)

Code: Select all

xnview sera désinstallé ainsi que ses fichiers de configuration
install (instead of upgrade) of XnViewMP-0961-linux-x64.deb (GDebi)
a photo album : super !
=> I can't try with the previous kernel now, but I will do ASAP....

CloDeClo
Posts: 10
Joined: Thu Apr 02, 2020 4:20 pm

Re: debian 10.3+.deb 0.96 : SegFault systematic

Post by CloDeClo » Thu Apr 23, 2020 5:41 pm

re-start with theprevious kernel
XnView (0961) works !
total removal and install (961) : it works !
re-start with the new kernel : and yet it is still working !
no idea any more, I give up !

Post Reply